## org.apache.aries.subsystem.core.archive
Class RequireCapabilityHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.RequireCapabilityHeader

All Implemented Interfaces:
  Header<RequireCapabilityHeader.Clause>, RequirementHeader<RequireCapabilityHeader.Clause>

    public class RequireCapabilityHeader

extends Object
implements RequirementHeader<RequireCapabilityHeader.Clause>

Nested Class Summary
`static class` `RequireCapabilityHeader.Clause`

Field Summary
`static String` `NAME`

Constructor Summary
`RequireCapabilityHeader(Collection<RequireCapabilityHeader.Clause> clauses)`
`RequireCapabilityHeader(String value)`

Method Summary
`Collection<RequireCapabilityHeader.Clause>` `getClauses()`
`String` `getName()`
`String` `getValue()`
`List<RequireCapabilityRequirement>` `toRequirements(org.osgi.resource.Resource resource)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### RequireCapabilityHeader

    public RequireCapabilityHeader(String value)

### RequireCapabilityHeader

    public RequireCapabilityHeader(Collection<RequireCapabilityHeader.Clause> clauses)

Method Detail

### getClauses

    public Collection<RequireCapabilityHeader.Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header<RequireCapabilityHeader.Clause>`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header<RequireCapabilityHeader.Clause>`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header<RequireCapabilityHeader.Clause>`

### toRequirements

    public List<RequireCapabilityRequirement> toRequirements(org.osgi.resource.Resource resource)

  Specified by:
    `toRequirements` in interface `RequirementHeader<RequireCapabilityHeader.Clause>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.